{
  "build": {
    "beforeDevCommand": "npm run dev",
    "beforeBuildCommand": " npm run mybuild & npm run build",
    "devPath": "http://localhost:1420",
    "distDir": "../dist",
    "withGlobalTauri": true

  },

  "package": {
    "productName": "SpectralPlot",
    "version": "0.6.66"
  },
  "tauri": {

    "allowlist": {
      "process": {
        "all": true
      },
      "all": false,
      "shell": {
        "all": false,
        "open": true
      },
      "fs": {

        "scope": ["**"],
        "all": true

      },
      "dialog": {
        "all": true
      },
      "window": {
        "all": true
        }

    },
    "windows": [
      {
        "title": "Spectral Plot",
        "width": 0,
        "height":0,
        "resizable": true,
        "fullscreen": false,
        "decorations": true,
        "minimizable": true,
        "maximizable": true,
        "visible": true
      }
    ],
    "security": {
      "csp": null
    },

    "bundle": {
      "active": true,
      "targets": "all",
      "identifier": "lele.rlx",
      "resources": [
        "config.json","is11lib.dll"  , "iris_is3lib.dll", 
        "msvcp140.dll",
        "vcruntime140.dll",
        "vcruntime140_1.dll",
        "ucrtbase.dll"
      ],
      "windows": {

      },
      
      "icon": [
        "icons/icon.ico",
        "icons/icon.ico",
        "icons/icon.ico",
        "icons/icon.ico",
        "icons/icon.ico"
      ]
    }

  }

}
